Page MenuHomePhabricator

Add SWViewer to translatewiki.net
Closed, ResolvedPublic

Description

Project setup checklist

Project information

Name: SWViewer
Website: https://swviewer.toolforge.org
Logo:

Project description: App for monitoring recent changes of Wikimedia projects in real-time.

Project page:

Project configuration (for translation admins)

Namespace: ``
Prefix: ``
Mangler prefix: ``
Validators:

Details

Related Objects

Event Timeline

1997kB updated the task description. (Show Details)
Nikerabbit changed the task status from Open to Stalled.Aug 31 2020, 8:32 AM

I do not see translatable strings in the repository currently. Do I understand it correctly, that this is still work in progress?

Please also add COPYING or LICENSE file in the repository to make the license explicit.

Yeah we working on translatable strings.

Sure! Will add license.

Any status update on this work?

It might take one or two weeks to fix all the issues related to this.

Nikerabbit triaged this task as Medium priority.
Nikerabbit updated the task description. (Show Details)

Change 636647 had a related patch set uploaded (by Nikerabbit; owner: Nikerabbit):
[translatewiki@master] Add SWViewer

https://gerrit.wikimedia.org/r/636647

Change 636647 merged by jenkins-bot:
[translatewiki@master] Add SWViewer

https://gerrit.wikimedia.org/r/636647

abi_ changed the task status from Stalled to Open.Oct 27 2020, 1:41 PM

SWViewer is now available for translation. Leaving task open until we have confirmed exports work as well.

Nikerabbit changed the task status from Open to Stalled.Oct 29 2020, 12:30 PM

@Iluvatar Can you double check commit access:

ERROR: Permission to SWViewer/tool-swviewer.git denied to translatewiki.                                                                                                                                          
fatal: Could not read from remote repository.

I have added write access to translatewiki. Hope that's enough or it requires maintain access?

If it's possible can we have exports instant for one or two months?

It works now:

swviewer
cd 'SWViewer/tool-swviewer'; git add .; if ! git diff --cached --quiet; then git commit -m 'Localisation updates from https://translatewiki.net.'; git rebase 'origin/master' && git push origin 'master'; fi
[master fb5c235] Localisation updates from https://translatewiki.net.
 11 files changed, 1952 insertions(+), 327 deletions(-)
 create mode 100644 i18n/bar.json
 create mode 100644 i18n/diq.json
 create mode 100644 i18n/fr.json
 create mode 100644 i18n/hu.json
 create mode 100644 i18n/lb.json
 create mode 100644 i18n/pt-br.json
 rewrite i18n/qqq.json (97%)
 create mode 100644 i18n/tr.json
 create mode 100644 i18n/uz.json
Current branch master is up to date.

If it's possible can we have exports instant for one or two months?

No. The current schedule is twice a week: on Mondays and Thursdays.